adjust:
- because: we don't want to run the avc check for local testing as it needs root and
    we're executing tests under a regular user
  check: []
  when: initiator is not defined or initiator != packit
- because: 'Virtual provision have started to be quite slow, will investigate what
    caused the slowdown with the test /tests/execute/unresponsive

    '
  duration+: '*2'
  when: provision_how == virtual
author: []
check:
- delay-before-report: 5
  enabled: true
  how: avc
  ignore-pattern:
  - type=USER_AVC.*received policyload notice
  result: respect
  test-method: timestamp
component: []
contact:
- Petr Šplíchal <psplicha@redhat.com>
context:
  arch:
  - x86_64
  distro:
  - fedora-rawhide
  initiator:
  - packit
  trigger:
  - commit
description: Make sure that fetching a beakerlib library using a local path works
  as expected. Fetches the example library from upstream, modifies it a bit, references
  it from a test and verifies the changed functionality by running the test in a container.
duration: 15m
enabled: true
environment:
  TMT_FEELING_SAFE: '1'
framework: beakerlib
id: null
link: []
manual: false
name: /tests/libraries/local
order: 50
path: /tests/libraries/local
recommend: []
require:
- tmt
- tmt+provision-container
restart-max-count: 1
restart-on-exit-code: []
restart-with-reboot: false
result: respect
sources:
- /var/ARTIFACTS/work-advancedm608c7wg/plans/features/advanced/discover/default-0/tests/tests/main.fmf
- /var/ARTIFACTS/work-advancedm608c7wg/plans/features/advanced/discover/default-0/tests/tests/libraries/main.fmf
- /var/ARTIFACTS/work-advancedm608c7wg/plans/features/advanced/discover/default-0/tests/tests/libraries/local/main.fmf
summary: Libraries referenced from the local filesystem
tag:
- beakerlib
test: ./test.sh
tier: '4'
tty: false
where: null
